Anonymous Login
2019-04-19 04:00 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001306v3.2 ReleaseEventspublic2014-08-16 18:58
Reportermcandell 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.2 
Summary0001306: Month view and Week view show empty pages
DescriptionThe Month and Week views are showing a blank page whenever the corresponding button is clicked.
On the other hand the Day and Year views run fine.
Additional InformationThis is happening with the very latest snapshot, downloaded today may 5th.
Please refer to the screenshot in attachment.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002892

caseydk (administrator)

I can't reproduce this one.. can you update and see if it is resolved for you?

Alternatively, can you view different months/weeks and see if the white screen is the same for all of them?

~0002893

mcandell (reporter)

I confirm that the issue is always occurring, no matter if I choose a different month or week for the Week or Month view, I still get the same empty screens as per the attachment...
Actually I am using the same DB data from a production installation with the 2.4 release, and with v2.4 both Month and Week views are working fine. Therefore I found this issue after doing the DB migration to the current 3.0rc1.
I haven't tried yet with a DB fresh install.
Do you need me to provide any log file/configuration info to try and trace the issue, just let me know.

~0002894

mcandell (reporter)

UPDATE: This is what I see from the PHP log :
[Mon May 13 10:47:01 2013] [error] [client 192.168.1.2] PHP Fatal error: Call t
o a member function getModuleClass() on a non-object in /var/www/web2project/mod
ules/todos/todos.class.php on line 10, referer: http://192.168.1.161/web2project
/index.php?
and
[Mon May 13 10:50:33 2013] [error] [client 192.168.1.2] PHP Fatal error: Call t
o a member function getLibraryClass() on a non-object in /var/www/web2project/mo
dules/holiday/holiday_functions.class.php on line 13, referer: http://192.168.1.
161/web2project/index.php?
Therefore if I disable the TODOLIST and HOLIDAY modules, the two views are working correctly again.
Can you confirm if this can explain the issue, and if these 2 modules are not compatible (yet) with 3.0 ?

~0002895

caseydk (administrator)

There have been some updates to the Todo module that addresses those. It's fully updated for v3.0

I'll check into the Holidays module later today. Thanks for the heads up.

Regardless, this is a third party module issue, not core development so I'm moving it accordingly.

~0002905

caseydk (administrator)

Resolved: https://github.com/eureka2/web2project-holiday/commit/9e9eeacd1d70daad8060bdfe93363bb64deab50a
+Notes

-Issue History
Date Modified Username Field Change
2013-05-02 08:06 mcandell New Issue
2013-05-02 08:06 mcandell File Added: web2project-calendar.7z
2013-05-12 15:42 caseydk Note Added: 0002892
2013-05-12 15:42 caseydk Status new => feedback
2013-05-13 00:01 mcandell Note Added: 0002893
2013-05-13 00:58 mcandell Note Added: 0002894
2013-05-13 10:36 caseydk Note Added: 0002895
2013-05-13 10:37 caseydk Project v3.0 Release => Third-party Modules
2013-05-22 23:46 caseydk Note Added: 0002905
2013-05-22 23:46 caseydk Status feedback => resolved
2013-05-22 23:46 caseydk Resolution open => fixed
2013-05-22 23:46 caseydk Assigned To => caseydk
2014-04-03 14:36 caseydk Status resolved => closed
2014-04-05 18:01 caseydk Project Third-party Modules => v3.2 Release
2014-04-05 18:07 caseydk Category General => Calendar
2014-06-12 19:48 caseydk Status closed => resolved
2014-07-16 21:26 caseydk Fixed in Version => 3.2
2014-07-16 21:30 caseydk Status resolved => closed
2014-08-16 18:58 caseydk Category Calendar => Events
+Issue History